## Empty cart for the given cart ID

### cURL

```bash
curl --request PATCH \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/empty \
  --header 'x-site-context: <x-site-context>'
```

```python
import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/empty"

headers = {"x-site-context": "<x-site-context>"}

response = requests.patch(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'PATCH', headers: {'x-site-context': '<x-site-context>'}};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/empty', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes

| Code | Description |
|------|-------------|
| 200  | Success     |
| 400  | Bad Request |
| 404  | Not Found   |
| 500  | Server Error|

### Example Response

```json
{
  "deleted": false,
  "allPromosApplied": [
    {
      "unit": "<string>",
      "value": 123,
      "ON": {
        "kind": "SKU",
        "value": ""
      },
      "id": "<string>",
      "promoId": "<string>",
      "promoCode": "<string>"
    }
  ],
  "registeredUser": false,
  "cartId": 4,
  "totalAmmount": {
    "currency": "USD",
    "amount": 200
  },
  "quantity": 2,
  "__v": 0,
  "attributes": [
    {
      "price": 10,
      "_id": "6146e98408e3700008b64611",
      "attributeId": "60a77de306f682000975c24c",
      "value": "true/false",
      "name": "Gift Message",
      "type": "<string>",
      "id": "6146e98408e3700008b64611"
    }
  ],
  "account": "<string>",
  "approver": "<string>",
  "po": "<string>",
  "company": "<string>",
  "status": "pending",
  "_id": "5fee9d59f2f08a1b3cbdea08",
  "createdAt": "2020-12-31T02:09:53.914Z",
  "updatedAt": "2020-12-31T02:09:53.914Z"
}
```

### Error Response

```json
{
  "code": "<string>",
  "message": "<string>"
}
```

```json
{
  "code": "CART_NOT_FOUND",
  "message": "Cart not found."
}
```

### Headers

#### x-site-context
- **Type**: string
- **Required**: Yes
- **Description**: The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.

### Path Parameters

#### cartId
- **Type**: string
- **Required**: Yes
- **Description**: Required string length: `24`

### Success Example Response

- **Status Code**: 200
- **Response Content**:
- `deleted`, `allPromosApplied`, `registeredUser`, `cartId`, `totalAmmount`, `quantity`, `__v`, `attributes`, `account`, `approver`, `po`, `company`, `status`, `_id`, `createdAt`, `updatedAt`
